package com.jxml.quick.qmap;
import java.util.*;

/**
 * Determines if two items should be combined
 */
public interface QMunger
{
	/**
	 * Returns the combined item, or null if they can not be combined.
	 */
	public List combine(List keyList, QIndexedComparableList icl);

	public List finalize(List keyList, int[] order);

	public void fixOrder(int[] order);
}